Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.past.messaging
Class LookupMessage

    java.lang.Object
      rice.p2p.past.messaging.PastMessage
          rice.p2p.past.messaging.ContinuationMessage
              rice.p2p.past.messaging.LookupMessage

All Implemented Interfaces:
  Continuation, Message, java.io.Serializable

public class LookupMessage
extends ContinuationMessage

Version:
  $Id: LookupMessage.java,v 1.11 2005/03/11 00:58:05 jeffh Exp $
Author:
  Alan Mislove, Ansley Post, Peter Druschel
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class rice.Continuation
`Continuation.ErrorContinuation, Continuation.ExternalContinuation, Continuation.ListenerContinuation, Continuation.MultiContinuation, Continuation.NamedContinuation, Continuation.SimpleContinuation, Continuation.StandardContinuation`

Field Summary

Fields inherited from class rice.p2p.past.messaging.ContinuationMessage
`exception, response`

Fields inherited from class rice.p2p.past.messaging.PastMessage
`dest, isResponse, source`

Fields inherited from interface rice.p2p.commonapi.Message
`HIGH_PRIORITY, LOW_PRIORITY, MEDIUM_HIGH_PRIORITY, MEDIUM_LOW_PRIORITY, MEDIUM_PRIORITY`

Constructor Summary
`LookupMessage(int uid, Id id, NodeHandle source, Id dest)` Constructor

Method Summary
`void` | `addHop(NodeHandle handle)` Method which is designed to be overridden by subclasses if they need to keep track of where they've been.
`Id` | `getId()` Method which returns the id
`NodeHandle` | `getPreviousNodeHandle()` Method which returns the previous hop (where the message was just at)
`boolean` | `isCached()` Returns whether or not this message has been cached
`void` | `setCached()` Sets this message as having been cached.
`java.lang.String` | `toString()` Returns a string representation of this message

Methods inherited from class rice.p2p.past.messaging.ContinuationMessage
`getResponse, receiveException, receiveResult, returnResponse`

Methods inherited from class rice.p2p.past.messaging.PastMessage
`getDestination, getPriority, getSource, getUID, isResponse, setResponse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LookupMessage

    public LookupMessage(int uid,
                         Id id,
                         NodeHandle source,
                         Id dest)

  Constructor

Parameters:
  `uid` - The unique id
  `id` - The location to be stored
  `source` - The source address
  `dest` - The destination address

Method Detail

### getId

    public Id getId()

  Method which returns the id

  Returns:
    The contained id

### isCached

    public boolean isCached()

  Returns whether or not this message has been cached

  Returns:
    Whether or not this message has been cached

### getPreviousNodeHandle

    public NodeHandle getPreviousNodeHandle()

  Method which returns the previous hop (where the message was just at)

  Returns:
    The previous hop

### setCached

    public void setCached()

  Sets this message as having been cached.

### addHop

    public void addHop(NodeHandle handle)

  Method which is designed to be overridden by subclasses if they need to keep track of where they've been.

  Overrides:
    `addHop` in class `PastMessage`
  Parameters:
    `handle` - The current local handle

### toString

    public java.lang.String toString()

  Returns a string representation of this message

  Returns:
    A string representing this message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.